> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eqxpay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a beneficiary by ID



## OpenAPI

````yaml GET /v1/api/beneficiaries/{beneficiaryId}
openapi: 3.0.0
info:
  title: EQXPay API
  description: >-
    EQX v2.5 staging API for admin, liquidity-provider, and integrator
    operations.
  version: 2.5.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/api/beneficiaries/{beneficiaryId}:
    get:
      tags:
        - Beneficiaries
      summary: Get a beneficiary by ID
      operationId: BeneficiaryController_getBeneficiary
      parameters:
        - name: beneficiaryId
          required: true
          in: path
          description: Beneficiary ID
          schema:
            type: string
      responses:
        '200':
          description: Success
        '401':
          description: Unauthorized
        '404':
          description: Not found
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````